<?php
App::uses('AppController', 'Controller');
/**
 * Anuncios Controller
 *
 * @property Anuncio $Anuncio
 * @property PaginatorComponent $Paginator
 */
class AnunciosController extends AppController {

/**
 * Components
 *
 * @var array
 */
	public $components = array('Paginator','Pdfdos');
    public $uses = array('Anuncio', 'InfoContacto', 'Tipo', 'Categoria', 'Ciudad', 'Zona');
/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->paginate = array('limit' => 20, 'order' => array('Anuncio.id' => 'desc'),'conditions' => array('Anuncio.estado' => 1)); //ordenar anuncio por un campo
		$this->Anuncio->recursive = 0;
		$this->set('anuncios', $this->Paginator->paginate());
		
		parent::galeria();
        parent::combos();
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		
			
		if (!$this->Anuncio->exists($id)) {
			throw new NotFoundException(__('Invalid anuncio'));
		}
		$options = array('conditions' => array('Anuncio.' . $this->Anuncio->primaryKey => $id));
		$this->set('anuncio', $this->Anuncio->find('first', $options));
		
		$anuncio = $this->Anuncio->read(null, $id);
		$this->set('infoContacto', $this->InfoContacto->findByAnuncioId($anuncio['Anuncio']['id']));
		
		
        parent::combos();
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Anuncio->create();
			if ($this->Anuncio->save($this->request->data)) {
				$this->Session->setFlash(__('The anuncio has been saved.'));
				return $this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The anuncio could not be saved. Please, try again.'));
			}
		}
		$users = $this->Anuncio->User->find('list');
		$countries = $this->Anuncio->Country->find('list');
		$ciudads = $this->Anuncio->Ciudad->find('list');
		$tipos = $this->Anuncio->Tipo->find('list');
		$categorias = $this->Anuncio->Categoria->find('list');
		$zonas = $this->Anuncio->Zona->find('list');
		$this->set(compact('users', 'countries', 'ciudads', 'tipos', 'categorias', 'zonas'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Anuncio->exists($id)) {
			throw new NotFoundException(__('Invalid anuncio'));
		}
		if ($this->request->is(array('post', 'put'))) {
			if ($this->Anuncio->save($this->request->data)) {
				$this->Session->setFlash(__('The anuncio has been saved.'));
				return $this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The anuncio could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Anuncio.' . $this->Anuncio->primaryKey => $id));
			$this->request->data = $this->Anuncio->find('first', $options);
		}
		$users = $this->Anuncio->User->find('list');
		$countries = $this->Anuncio->Country->find('list');
		$ciudads = $this->Anuncio->Ciudad->find('list');
		$tipos = $this->Anuncio->Tipo->find('list');
		$categorias = $this->Anuncio->Categoria->find('list');
		$zonas = $this->Anuncio->Zona->find('list');
		$this->set(compact('users', 'countries', 'ciudads', 'tipos', 'categorias', 'zonas'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Anuncio->id = $id;
		if (!$this->Anuncio->exists()) {
			throw new NotFoundException(__('Invalid anuncio'));
		}
		$this->request->allowMethod('post', 'delete');
		if ($this->Anuncio->delete()) {
			$this->Session->setFlash(__('The anuncio has been deleted.'));
		} else {
			$this->Session->setFlash(__('The anuncio could not be deleted. Please, try again.'));
		}
		return $this->redirect(array('action' => 'index'));
	}

/**
 * admin_index method
 *
 * @return void
 */
	public function admin_index() {
		$this->paginate = array('limit' => 15, 'order' => array('Anuncio.id' => 'desc')); //ordenar anuncio por un campo id
        $this->Anuncio->recursive = 0;
        $this->set('anuncios', $this->paginate());
        //$this->layout = 'admin';
        $this->layout='bootanuncio';
        parent::combos();
	}

/**
 * admin_view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function admin_view($id = null) {
		if (!$this->Anuncio->exists($id)) {
			throw new NotFoundException(__('Invalid anuncio'));
		}
		$options = array('conditions' => array('Anuncio.' . $this->Anuncio->primaryKey => $id));
		$this->set('anuncio', $this->Anuncio->find('first', $options));
		$this->layout = 'bootanuncio';
        parent::combos();
	}

/**
 * admin_add method
 *
 * @return void
 */
	public function admin_add() {
		if ($this->request->is('post')) {
			$this->Anuncio->create();
			if ($this->Anuncio->save($this->request->data)) {
				$this->Session->setFlash(__('The anuncio has been saved.'));
				return $this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The anuncio could not be saved. Please, try again.'));
			}
		}
		$users = $this->Anuncio->User->find('list');
		$countries = $this->Anuncio->Country->find('list');
		$ciudads = $this->Anuncio->Ciudad->find('list');
		$tipos = $this->Anuncio->Tipo->find('list');
		$categorias = $this->Anuncio->Categorium->find('list');
		$zonas = $this->Anuncio->Zona->find('list');
		$this->set(compact('users', 'countries', 'ciudads', 'tipos', 'categorias', 'zonas'));
	}

/**
 * admin_edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function admin_edit($id = null) {
		if (!$this->Anuncio->exists($id)) {
			throw new NotFoundException(__('Invalid anuncio'));
		}
		if ($this->request->is(array('post', 'put'))) {
			if ($this->Anuncio->save($this->request->data)) {
				$this->Session->setFlash(__('The anuncio has been saved.'));
				return $this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The anuncio could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Anuncio.' . $this->Anuncio->primaryKey => $id));
			$this->request->data = $this->Anuncio->find('first', $options);
		}
		$users = $this->Anuncio->User->find('list');
		$countries = $this->Anuncio->Country->find('list');
		$ciudads = $this->Anuncio->Ciudad->find('list');
		$tipos = $this->Anuncio->Tipo->find('list');
		$categorias = $this->Anuncio->Categoria->find('list');
		$zonas = $this->Anuncio->Zona->find('list');
		$this->set(compact('users', 'countries', 'ciudads', 'tipos', 'categorias', 'zonas'));
		$this->layout = 'bootanuncio';
        parent::galeria();
        parent::combos();
	}

/**
 * admin_delete method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function admin_delete($id = null) {
		$this->Anuncio->id = $id;
		if (!$this->Anuncio->exists()) {
			throw new NotFoundException(__('Invalid anuncio'));
		}
		$this->request->allowMethod('post', 'delete');
		if ($this->Anuncio->delete()) {
			$this->Session->setFlash(__('The anuncio has been deleted.'));
		} else {
			$this->Session->setFlash(__('The anuncio could not be deleted. Please, try again.'));
		}
		return $this->redirect(array('action' => 'index'));
	}
	
	 function casas() {
        $this->paginate = array(
            'conditions' => array('Anuncio.tipo_id' => 2,'Anuncio.estado'=>'1'),
            'recursive' => 1,
            'order' => array('Anuncio.id' => 'desc'),
            'limit' => 60
        );
        $this->set('anuncios', $this->paginate());

        parent::galeria();
        parent::combos();
    }

    function departamentos() {
        $this->paginate = array(
            'conditions' => array('Anuncio.tipo_id' => 5,'Anuncio.estado'=>'1'),
            'recursive' => 1,
            'order' => array('Anuncio.id' => 'desc'),
            'limit' => 60
        );
        $this->set('anuncios', $this->paginate());

        parent::galeria();
        parent::combos();
    }

    function terrenos() {
        $this->paginate = array(
            'conditions' => array('Anuncio.tipo_id' => 13,'Anuncio.estado'=>'1'),
            'recursive' => 1,
            'order' => array('Anuncio.id' => 'desc'),
            'limit' =>60
        );
        $this->set('anuncios', $this->paginate());

        parent::galeria();
        parent::combos();
    }

    function tiendas() {
        $this->paginate = array(
            'conditions' => array('Anuncio.tipo_id' => 14,'Anuncio.estado'=>'1'),
            'recursive' => 1,
            'order' => array('Anuncio.id' => 'desc'),
            'limit' => 60
        );
        $this->set('anuncios', $this->paginate());
        parent::galeria();
        parent::combos();
    }

    function oficinas() {
        $this->paginate = array(
            'conditions' => array('Anuncio.tipo_id' => 11,'Anuncio.estado'=>'1'),
            'recursive' => 1,
            'order' => array('Anuncio.id' => 'desc'),
            'limit' => 60
        );
        $this->set('anuncios', $this->paginate());
        parent::galeria();
        parent::combos();
    }

    function locales() {
        $this->paginate = array(
            'conditions' => array('Anuncio.tipo_id' => 9,'Anuncio.estado'=>'1'),
            'recursive' => 1,
            'order' => array('Anuncio.id' => 'desc'),
            'limit' => 60
        );
        $this->set('anuncios', $this->paginate());
        parent::galeria();
        parent::combos();
    }

    function edificios() {
        $this->paginate = array(
            'conditions' => array('Anuncio.tipo_id' => 6,'Anuncio.estado'=>'1'),
            'recursive' => 1,
            'order' => array('Anuncio.id' => 'desc'),
            'limit' => 60
        );
        $this->set('anuncios', $this->paginate());
        parent::galeria();
        parent::combos();
    }
	function busqueda_rapida() {
    		
    	$this->paginate = array('limit' => 150, 'order' => array('Anuncio.id' => 'desc')); //ordenar anuncio por un campo
        
        $this->Anuncio->recursive = 0;  
        $this->set('anunciosb', $this->Anuncio->buscar($this,$this->data['tipo_id'], $this->data['categoria_id'], $this->data['ciudad_id'], $this->data['zona_id']),$this->paginate());
        
        parent::galeria();
        parent::combos();
    }

    function busqueda_codigo() {
        $this->set('anunciosc', $this->Anuncio->buscarCodigo($this, $this->data['Anuncio']['codigo']));
        //parent::buscador();
        parent::galeria();
        parent::combos();
    }
	
	function beforeFilter() {
        $this->Auth->allow('index', 'view', 'casas', 'departamentos', 'terrenos', 'tiendas', 'oficinas', 'locales', 'edificios', 'busqueda_rapida', 'busqueda_codigo', 'reporte_a','bus_codigo','bus_inmueble','bus_rapida');
        parent::beforeFilter();
    }
	 function admin_anunciar_paso1() {
       
        if (!empty($this->data)) {
            $this->Anuncio->create();
            $this->request->data['Anuncio']['codigo'] = $this->Anuncio->GeneraCOdigo($this,$this->data['Anuncio']['tipo_id']);

            /* asigna a un anuncio contactos */
            $avec = $_POST['ci'];
            $n = count($avec) - 1;
            $j = 1;
            $s = "";
            $s = $avec[0];
            while ($j <= $n) {
                $s = $s . "-" . $avec[$j];
                $j++;
            }

            $this->request->data['Anuncio']['admin'] = $s;
            /* asigna a un anuncio los contactos */

            if ($this->Anuncio->save($this->data)) {
                $_SESSION['claveDeAnuncio'] = $this->Anuncio->id;
                $this->Session->setFlash(__('El Anuncio fue grabado', true));
				
				if(@$this->data['Anuncio']['terminar']!=1){ //preguntamos si el usuario a terminado de llenar formulario
                 $this->redirect(array('controller' => 'fotos', 'action' => 'anunciar_paso2'));
			    }else
				{	$this->Anuncio->CompletarFoto(1,$this->Anuncio->id);
					$this->redirect(array('controller' => 'anuncios', 'action' => 'index'));					
				}	
			
            } else {
                $this->Session->setFlash(__('El Anuncio no pudo ser grabado. Por favor, intente nuevamente.', true));
            }
        }

        $users = $this->Anuncio->User->find('list');
        $countries = $this->Anuncio->Country->find('list');
        $ciudads = $this->Anuncio->Ciudad->find('list');
        $tipos = $this->Anuncio->Tipo->find('list');
        $categorias = $this->Anuncio->Categoria->find('list');
        $zonas = $this->Anuncio->Zona->find('list');
        $this->set(compact('users', 'countries', 'ciudads', 'tipos', 'categorias', 'zonas'));

        //parent::buscador();
        $this->layout = 'bootanunciar';
        parent::combos();
    }

    function admin_finalizar() {
        $this->layout = 'bootanunciar';
    }

    function reporte_a() {
        $this->Pdfdos->reporteitai1($_GET['id']);
    }

    function admin_busqueda() {
    	$this->paginate = array('limit' => 50, 'order' => array('Anuncio.id' => 'desc')); //ordenar anuncio por un campo id
        if (isset($this->data['Anuncio']['busqueda'])) {
            $this->set('anuncios', $this->Anuncio->busqueda($this, $this->data['Anuncio']['busqueda']));
        } else {
            $this->set('anuncios', $this->Anuncio->buscar($this, $this->data['tipo_id'], $this->data['categoria_id'], $this->data['ciudad_id'], $this->data['zona_id']));
        }

        parent::combos();
        $this->layout = 'bootanuncio';
    }

    function admin_fotos() {
        $this->paginate = array('limit' => 15, 'order' => array('Anuncio.id' => 'desc')); //ordenar anuncio por un campo
        $this->Anuncio->recursive = 0;
        $this->set('anuncios', $this->paginate());
        parent::galeria();
        parent::combos();
        //$this->layout = 'admin';
        $this->layout = 'bootFotos';
    }
	
	function admin_exito($id = null) {
        if (!$id) {
            $this->Session->setFlash(__('Invalid id for Anuncio', true));
            $this->redirect(array('action' => 'index'));
        }
        if ($this->Anuncio->exito($this,$id)) {
            $this->Session->setFlash(__('Anuncio realizado con exito', true));
            $this->redirect(array('action' => 'index'));
        }
    }
	
	function admin_completando($idAnuncio=null)
	{    
		 $_SESSION['claveDeAnuncio'] = $idAnuncio;
		 //$this->layout = 'admincom';	
		 $this->layout = 'bootanunciar';	 
	}	
	
	function admin_busquedaf() 
	{
		$this->paginate = array('limit' => 15, 'order' => array('Anuncio.id' => 'desc')); //ordenar anuncio por un campo id        
        $this->set('anuncios', $this->Anuncio->busquedafoto($this, $this->data['Anuncio']['busquedaf']));        		
		   
		$this->layout = 'bootfotos';
	}
	
	function bus_codigo()
	{	parent::combos();
	}
	function bus_inmueble()
	{	parent::combos();
	} 
	function bus_rapida()
	{	parent::combos();
	}
}
