<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "capa".
 *
 * @property integer $IdCapa
 * @property integer $IdcTipoCapa
 * @property integer $IdcTipoMapa
 * @property integer $IdCreadoPor
 * @property string $FechaModificacion
 * @property string $FechaCreacion
 * @property integer $IdModificadoPor
 *
 * @property User $idCreadoPor
 * @property Clasificadorcomun $idcTipoMapa
 * @property User $idModificadoPor
 * @property Clasificadorcomun $idcTipoCapa
 * @property Capadetalle[] $capadetalles
 */
class Capa extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'capa';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['IdcTipoCapa', 'IdcTipoMapa'], 'required'],
            [['IdcTipoCapa', 'IdcTipoMapa', 'IdCreadoPor', 'IdModificadoPor'], 'integer'],
            [['FechaModificacion', 'FechaCreacion'], 'safe'],
            [['IdCreadoPor'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['IdCreadoPor' => 'id']],
            [['IdcTipoMapa'], 'exist', 'skipOnError' => true, 'targetClass' => Clasificadorcomun::className(), 'targetAttribute' => ['IdcTipoMapa' => 'IdClasificadorComun']],
            [['IdModificadoPor'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['IdModificadoPor' => 'id']],
            [['IdcTipoCapa'], 'exist', 'skipOnError' => true, 'targetClass' => Clasificadorcomun::className(), 'targetAttribute' => ['IdcTipoCapa' => 'IdClasificadorComun']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'IdCapa' => 'Id Capa',
            'IdcTipoCapa' => 'Idc Tipo Capa',
            'IdcTipoMapa' => 'Idc Tipo Mapa',
            'IdCreadoPor' => 'Id Creado Por',
            'FechaModificacion' => 'Fecha Modificacion',
            'FechaCreacion' => 'Fecha Creacion',
            'IdModificadoPor' => 'Id Modificado Por',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getIdCreadoPor()
    {
        return $this->hasOne(User::className(), ['id' => 'IdCreadoPor']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getIdcTipoMapa()
    {
        return $this->hasOne(Clasificadorcomun::className(), ['IdClasificadorComun' => 'IdcTipoMapa']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getIdModificadoPor()
    {
        return $this->hasOne(User::className(), ['id' => 'IdModificadoPor']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getIdcTipoCapa()
    {
        return $this->hasOne(Clasificadorcomun::className(), ['IdClasificadorComun' => 'IdcTipoCapa']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCapadetalles()
    {
        return $this->hasMany(Capadetalle::className(), ['IdCapa' => 'IdCapa']);
    }
}
