<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "clasificadorcomun".
 *
 * @property integer $IdClasificadorComun
 * @property integer $IdTipoClasificadorComun
 * @property string $Nombre
 * @property string $Abreviacion
 * @property string $Descripcion
 * @property string $ValorExtra
 * @property string $Orden
 *
 * @property Capa[] $capas
 * @property Capa[] $capas0
 * @property Tipoclasificadorcomun $idTipoClasificadorComun
 * @property Persona[] $personas
 * @property Proyecto[] $proyectos
 */
class Clasificadorcomun extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'clasificadorcomun';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['IdTipoClasificadorComun', 'Nombre'], 'required'],
            [['IdTipoClasificadorComun'], 'integer'],
            [['Nombre', 'Descripcion'], 'string', 'max' => 100],
            [['Abreviacion', 'Orden'], 'string', 'max' => 45],
            [['ValorExtra'], 'string', 'max' => 255],
            [['IdTipoClasificadorComun'], 'exist', 'skipOnError' => true, 'targetClass' => Tipoclasificadorcomun::className(), 'targetAttribute' => ['IdTipoClasificadorComun' => 'IdTipoClasificadorComun']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'IdClasificadorComun' => 'Id Clasificador Comun',
            'IdTipoClasificadorComun' => 'Id Tipo Clasificador Comun',
            'Nombre' => 'Nombre',
            'Abreviacion' => 'Abreviacion',
            'Descripcion' => 'Descripcion',
            'ValorExtra' => 'Valor Extra',
            'Orden' => 'Orden',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCapas()
    {
        return $this->hasMany(Capa::className(), ['IdcTipoMapa' => 'IdClasificadorComun']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCapas0()
    {
        return $this->hasMany(Capa::className(), ['IdcTipoCapa' => 'IdClasificadorComun']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getIdTipoClasificadorComun()
    {
        return $this->hasOne(Tipoclasificadorcomun::className(), ['IdTipoClasificadorComun' => 'IdTipoClasificadorComun']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPersonas()
    {
        return $this->hasMany(Persona::className(), ['IdcEstadoCivil' => 'IdClasificadorComun']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getProyectos()
    {
        return $this->hasMany(Proyecto::className(), ['IdcEstadoProyecto' => 'IdClasificadorComun']);
    }
}
