<?php

use app\models\Capa;
use yii\bootstrap\Modal;
use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $searchModel app\models\CapaSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Capas';
$this->params['breadcrumbs'][] = ['label' => 'Importación de Información', 'url' => ['/importacion/index']];
$this->params['breadcrumbs'][] = $this->title;
$param = $param = Yii::$app->request->queryParams;
?>
<div class="capa-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Importar Capa', ['/importacion/capaexcel'], ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            [
                'label'=>"Tipo Capa",
                'value'=>function($model){ return $model->idcTipoCapa->Nombre; },
                'filter'=> \kartik\select2\Select2::widget([
                    'name' => 'CapaSearch[IdcTipoCapa]',
                    'data' => $comboTipoCapa,
                    'value'=> isset($param['CapaSearch']['IdcTipoCapa'])?$param['CapaSearch']['IdcTipoCapa']:0,
                    //'hideSearch' => true,
                    'options' => [
                        'placeholder' => 'Seleccione'
                    ],
                    'pluginOptions' => [
                        'allowClear' => true
                    ],
                ])
            ],

            [
                'label'=>"Tipo Mapa",
                'value'=>function($model){ return $model->idcTipoMapa->Nombre; },
                'filter'=> \kartik\select2\Select2::widget([
                    'name' => 'CapaSearch[IdcTipoMapa]',
                    'data' => $comboTipoMapa,
                    'value'=> isset($param['CapaSearch']['IdcTipoMapa'])?$param['CapaSearch']['IdcTipoMapa']:0,
                    //'hideSearch' => true,
                    'options' => [
                        'placeholder' => 'Seleccione'
                    ],
                    'pluginOptions' => [
                        'allowClear' => true
                    ],
                ])

            ],

            // 'IdModificadoPor',
            [
                'label'=>'Modificado por',
                'value'=>function($model){

                    return $model->idModificadoPor->username;
                }

            ],
            [
                'label'=>'Fecha de Modificacion',
                'value'=>'FechaModificacion'

            ],
            //'FechaModificacion',
            //'IdCreadoPor',

            // 'FechaCreacion',


            ['class' => 'yii\grid\ActionColumn',

                'template' => '{ver}  {eliminar}',
                'buttons' => [
                    'ver' => function($url, $model, $id) {
                        return Html::a('<span class="glyphicon glyphicon-eye-open"></span>',"#ver", ['title' => Yii::t('app', 'Ver'),'data'=>$model->IdCapa,'class'=>'verDetalle']);

                    },

                    'eliminar' => function($url, $model, $id){
                        return Html::a('<span class="glyphicon glyphicon-trash"></span>',Url::to(['delete',"id"=>$model->IdCapa]), ['title' => Yii::t('app', 'Eliminar'),'data-method'=>"post","data-confirm"=>"¿Está seguro de eliminar este elemento?"  ]);
                    }


                ]
            ],
        ],
    ]); ?>

  <?php

    Modal::begin([
    //'header' => "",
    ]);

    echo '<div id="detalleContenido"></div><div  class="center-block modal-body" style="width: auto"> <span class="btn btn-info" id="cerrarx">Cerrar</span></div>';

    Modal::end();
    ?>

<script>

    $("#cerrarx").click(function(){
        $("#w3").modal("hide");
    });
    $("#w2").find(".verDetalle").click(function(){

        var x='modal-large';
        $("#w3").find(".modal-dialog").addClass(x);
        $.post( '<?= Url::base(true)?>'+ "/index.php?r=capa/getcapadetalle",{id:$(this).attr("data")},function(resp){
            $("#detalleContenido").html(resp);

            $("#w3").modal("show");



        });

    });
</script>
</div>
