<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\User */

$this->title = $model->username;
$this->params['breadcrumbs'][] = ['label' => 'Usuarios', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="user-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Actualizar', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Eliminar', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => '¿Está seguro de eliminar este elemento?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            //'id',
            //'IdPersona',
            'username',
            [
                'label'=>'Persona',
                'value'=> $model->idPersona->Nombres." ".$model->idPersona->Apellidos
            ],

            //'auth_key',
            //'password_hash',
            //'password_reset_token',
            //'access_token',
            //'IdCreadoPor',
            'FechaCreacion',
            //'IdModificadoPor',
            //'Rol',
            ['label'=>'Rol','value'=>\app\commands\Roles::$items[$model->Rol] ],
            //'Activo:boolean',
            [
                'label'=>'Activo',
                'value'=>$model->Activo?"Si":"No"
            ]
        ],
    ]) ?>

</div>
